<?php

/**
 *  Informatica Eindproject D4p
 *  6in3, Stedelijk Gymnasium Nijmegen
 *  Docent: Hans de Wolf
 *
 *  ==================
 *
 *  Daniel Boutros,
 *  Christiaan Goossens,
 *  Jelmer Hinssen
 */

/**
 * Session fix for development
 */

if (session_save_path() === "") {
    ini_set('session.save_path', realpath(__DIR__ . '/../tmp'));
}

/**
 * Check if the script is running in CLI mode
 */
if (PHP_SAPI == 'cli-server') {
    // To help the built-in PHP dev server, check if the request was actually for
    // something which should probably be served as a static file
    $url  = parse_url($_SERVER['REQUEST_URI']);
    $file = __DIR__ . $url['path'];

    if (is_file($file)) {
        return false;
    }
}

/**
 * Require the Composer autoloader to load dependencies
 */
require __DIR__ . '/vendor/autoload.php';

/**
 * Load the bootstrapping script
 */

include __DIR__ . '/src/bootstrap.php';
